commit:     7e4d04fd81b4cf08398ceba7f91a9f09a08e1822
Author:     Zoltan Puskas <zoltan <AT> sinustrom <DOT> info>
AuthorDate: Tue Sep 12 03:29:09 2023 +0000
Commit:     Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Fri Sep 22 07:58:41 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7e4d04fd

net-mail/getmail: add 6.18.13

Signed-off-by: Zoltan Puskas <zoltan <AT> sinustrom.info>
Closes: https://github.com/gentoo/gentoo/pull/32732
Signed-off-by: Florian Schmaus <flow <AT> gentoo.org>

 net-mail/getmail/Manifest               |  1 +
 net-mail/getmail/getmail-6.18.13.ebuild | 27 +++++++++++++++++++++++++++
 2 files changed, 28 insertions(+)

diff --git a/net-mail/getmail/Manifest b/net-mail/getmail/Manifest
index a0b33351ec82..00c60ec0d62c 100644
--- a/net-mail/getmail/Manifest
+++ b/net-mail/getmail/Manifest
@@ -1 +1,2 @@
 DIST getmail-6.18.12.gh.tar.gz 207087 BLAKE2B 
916c7fe7d459c27001ae80fafb95c8ea561a3c1b7335d142678c94242e7602070bf1d93c56db52363fbf62071f261dd8df5ca2c9cb71f2e7c7b8eb2826fa1035
 SHA512 
8b58c3295831740cac854ccc4dabf9ff53a08f85648beeb50952fc895df7115304cdaec8c3f6f94e9ee828914268dd8f23978cae4f5d3f6eff9f48fa59d3f5de
+DIST getmail-6.18.13.gh.tar.gz 213033 BLAKE2B 
6dd18670e7c2b231859317dfa28c3ebe0fcff747af4fed1554725ce30176fca678633128db5d80791b97bad9322a5522c70ec828338659ea8df3a5efcf7db35e
 SHA512 
437c057d6e3d499a2e11be82d4e69aafc24d74d42fb1fa51de06fccd33d6e9e1ef7bba20ae5fc070a80dd656f184386083d462f65b05dafcf516d7dc0b2138a0

diff --git a/net-mail/getmail/getmail-6.18.13.ebuild 
b/net-mail/getmail/getmail-6.18.13.ebuild
new file mode 100644
index 000000000000..92fafc18bdfc
--- /dev/null
+++ b/net-mail/getmail/getmail-6.18.13.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_SINGLE_IMPL=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..12} )
+PYTHON_REQ_USE="ssl"
+inherit distutils-r1
+
+DESCRIPTION="A mail retriever with reliable Maildir and mbox delivery"
+HOMEPAGE="https://www.getmail6.org/ https://github.com/getmail6/getmail6";
+SRC_URI="https://github.com/getmail6/getmail6/archive/v${PV}.tar.gz -> 
${P}.gh.tar.gz"
+S="${WORKDIR}/getmail6-${PV}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+python_prepare_all() {
+       # Use gentoo version number (including revision) for doc dir and remove 
COPYING file
+       sed -i -e "s,'getmail-%s' % __version__,'${PF}'," \
+               -e "/docs\/COPYING/d" "${S}"/setup.py || die
+
+       distutils-r1_python_prepare_all
+}

Reply via email to